<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_ab1e14183ebb02378ed53" . "35a96a4288d" => base64_decode("Y2ZnX3N" . "lYXJjaF" . "9wbHVna" . "W5z"), "_f73dab606630b" . "388645c4f7d3fb" . "b13bb" => base64_decode("YXJyYXlfb" . "WVyZ2U="), "_7f628626dd1d55c71b1fc09" . "32ffd1d2c" => base64_decode("aXN" . "fYX" . "JyY" . "Xk="), "_49c6565477ee9f822b499a53" . "e6d2995f" => base64_decode("YXJyYXlfa2V5X2V" . "4aXN0cw=="));
use ErrorHandler;









class PluginLoader extends ErrorHandler
{
    
    
    
    
    
    
    protected static $valid_applications = array('documents' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Document', 'publish' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Publish', 'news' => 'Claromentis\\Search\\Suggestions\\SearchResource\\News', 'people' => 'Claromentis\\Search\\Suggestions\\SearchResource\\People', 'forum' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Forum');
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function GetPluginByUrl($url)
    {
        $_a99e51514fd0fcca58579cb5552a6035 = static::GetPlugins();
        foreach ($_a99e51514fd0fcca58579cb5552a6035 as $_6a02aaefc5f2925e469e5aca3990865a => $_327c87139880ba8bc0fa0b9a7e24a44d) {
            if ($_327c87139880ba8bc0fa0b9a7e24a44d::IsSupportedUrl($url)) {
                $_daf0ea4a4657bd95111bb4f0079b9cff = new $_327c87139880ba8bc0fa0b9a7e24a44d();
                return [$_daf0ea4a4657bd95111bb4f0079b9cff, $_6a02aaefc5f2925e469e5aca3990865a];
            }
        }
        return [null, null];
    }
    
    
    
    
    
    
    
    
    
    public static function PluginFactory($_f44467aacb8a4520c7382769d24aa422)
    {
        $_a99e51514fd0fcca58579cb5552a6035 = static::GetPlugins();
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_49c656547" . "7ee9f822b4" . "99a53e6d29" . "95f"]($_f44467aacb8a4520c7382769d24aa422, $_a99e51514fd0fcca58579cb5552a6035)) {
            return new $_a99e51514fd0fcca58579cb5552a6035[$_f44467aacb8a4520c7382769d24aa422]();
        } else {
            return null;
        }
    }
    
    
    
    
    
    
    
    private static function GetPlugins()
    {
        global $g_application;
        $_ab1e14183ebb02378ed5335a96a4288d = $g_application->config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ab1e14183ebb023" . "78ed5335a96a4288" . "d"]);
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7f628626dd1d" . "55c71b1fc0932" . "ffd1d2c"]($_ab1e14183ebb02378ed5335a96a4288d)) {
            $_a99e51514fd0fcca58579cb5552a6035 = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f73dab606630b388645c4f7d3fbb13b" . "b"](self::$valid_applications, $_ab1e14183ebb02378ed5335a96a4288d);
        } else {
            $_a99e51514fd0fcca58579cb5552a6035 = self::$valid_applications;
        }
        return $_a99e51514fd0fcca58579cb5552a6035;
    }
}